import router from "../router";
import fs from "fs";
import sql from "../sql";
import handlebars from "handlebars";

import { queries } from "./inc/index";

const template = fs.readFileSync("./views/index.hbs", "utf-8");

router.get(/^\/$/, async (req, res) => {
  const db = await sql;

  try {
    const rows = await db.query(queries.items);
    const tpl = handlebars.compile(template);
    res
      .writeHead(200, { 'Content-Type': 'text/html' })
      .end(tpl({ items: rows, debug: JSON.stringify(req.url, null, 2) }));
  } catch(err) {
    res
      .writeHead(500)
      .end(JSON.stringify(err), 'utf-8');
  }
});
