import http from "http";
import url from "url";
import querystring from "querystring";
import cfg from "../config.json";

// routes
import "./inc/routes/index";
import "./inc/routes/api";

import { routes } from "./inc/router";

http.createServer((req, res, r) => {
  req.url = url.parse(req.url.replace(/(?!^.)(\/+)?$/, ''));
  req.url.split = req.url.pathname.split("/").slice(1);
  req.url.qs = querystring.parse(req.url.query);

  console.log(`[${(new Date()).toLocaleTimeString()}] ${req.method} ${req.url.pathname}`);

  !(r = routes.getRegex(req.url.pathname, req.method)) ? res.writeHead(404).end(`404 - ${req.url.pathname}`) : r(req, res);
}).listen(cfg.websrv.port, () => console.log(`f0ck is listening on port ${cfg.websrv.port}.`));
